<template>
  <div class="project-summary">
    <div class="filters">
      <h2>Project summary</h2>
      <div>
        <select>
          <option>Project</option>
        </select>
        <select>
          <option>Project manager</option>
        </select>
        <select>
          <option>Status</option>
        </select>
      </div>
    </div>

    <table>
      <thead>
        <tr>
          <th>Name</th>
          <th>Project manager</th>
          <th>Due date</th>
          <th>Status</th>
          <th>Progress</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="project in projects" :key="project.name">
          <td>{{ project.name }}</td>
          <td>{{ project.manager }}</td>
          <td>{{ project.dueDate }}</td>
          <td :class="getStatusClass(project.status)">
            <span>{{ project.status }}</span>
          </td>

          <td>
            <div class="progress-bar">
              <span> {{ project.progress }}%</span>
              <circle-progress
                :percent="project.progress"
                :is-gradient="true"
                :gradient="{
                  angle: 90,
                  startColor: '#FF0000',
                  stopColor: '#00CC00',
                }"
              />
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
  import "vue3-circle-progress/dist/circle-progress.css";
  import CircleProgress from "vue3-circle-progress";

  export default {
    name: "ProjectSummary",
    components: {
      CircleProgress,
    },
    data() {
      return {
        projects: [
          {
            name: "Nelsa web development",
            manager: "Om prakash sao",
            dueDate: "May 25, 2023",
            status: "Completed",
            progress: 100,
          },
          {
            name: "Datascale AI app",
            manager: "Neilisan mando",
            dueDate: "Jun 20, 2023",
            status: "Delayed",
            progress: 35,
          },
          {
            name: "Media channel branding",
            manager: "Tiruvelly priya",
            dueDate: "Jun 20, 2023",
            status: "At risk",
            progress: 35,
          },
          {
            name: "Corlax iOS app develpoement",
            manager: "Matte hannery",
            dueDate: "Jun 20, 2023",
            status: "On going",
            progress: 35,
          },
          {
            name: "Website builder developement",
            manager: "Sukumar rao",
            dueDate: "Jun 20, 2023",
            status: "Completed",
            progress: 45,
          },
        ],
      };
    },
    methods: {
      getStatusClass(status) {
        switch (status) {
          case "Completed":
            return "status-completed";
          case "Delayed":
            return "status-delayed";
          case "At risk":
            return "status-at-risk";
          case "On going":
            return "status-on-going";
          default:
            return "";
        }
      },
    },
  };
</script>

<style scoped lang="scss">
  .project-summary {
    padding: 18px;
    background-color: #f2eae5;
    border-radius: 11px;
    margin: 30px;
    table,
    th,
    td {
      border: none;
    }
    table th {
      padding-right: 22px;
      padding-bottom: 10px;
      font-size: 14px;
    }
  }

  .filters {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: -8px;
    margin-bottom: 16px;
    h2 {
      font-size: 17px;
      margin-right: 166px;
    }
    > div {
      display: flex;
    }

    select {
      &:nth-of-type(1) {
        width: 97px;
        margin-right: 8px;
      }
      &:nth-of-type(2) {
        width: 158px;
        margin-right: 8px;
      }
      &:nth-of-type(3) {
        width: 92px;
        margin-right: 8px;
      }
      letter-spacing: 0.3px;
      padding-left: 15px;
      height: 34px;
      font-size: 13px;
      border: none;
      border-radius: 20px;
      background-color: #ffffff;

      cursor: pointer;
      appearance: none;
      -webkit-appearance: none;
      -moz-appearance: none;
      background: #ffffff url("../assets/select-icon.svg") no-repeat right 13px
        center;
      background-size: 15px;
    }
  }
  table {
    width: 100%;
    margin-bottom: 15px;
    border-collapse: collapse;
    thead {
      border-bottom: 1px solid rgb(216, 199, 199);
      font-size: 18px;
      margin-bottom: 15px;
      th {
        text-align: left;
        &:nth-child(1) {
          width: 220px;
        }
        &:nth-child(3) {
          padding-right: 32px;
        }

        &:nth-child(5) {
          width: 66px;
       padding-right: 0;text-align: right;
        }
      }
    }
    tbody {
      margin-bottom: 15px;

      td {
      font-size: 14px;
      border: 1px solid #e1e1e1;
      padding-top: 10px;
      text-align: left;
      .progress-bar {
        padding-left: 22px;
        position: relative;
        span {
          position: absolute;
          top: 6px;
    left: 20px;
   
          font-size: 9px;
        }
        .vue3-circular-progressbar {
          height: 32px !important;
          width: 30px !important;
        }
      }
      span {
        border-radius: 25px;
        padding: 5px 7px;
    font-size: 12px;
      }
    }
  }
  }
 
  @media screen and (max-width: 584px) {
    .project-summary {
      margin: 15px;
      padding: 9px;
      h2{ margin-right: 0;}
    }
    .filters {
      display: block;
      text-align: center;
      & > div {
        display: block;
      }
      select {
        margin: 10px 0;
      }
    }
    table {
      thead {
        font-size: 14px;
      }
      tbody td {
        font-size: 12px;
        padding: 5px;
      }
      th {
        padding-right: 15px;
        padding-bottom: 11px;
      }
    }
  }

  .status-completed {
    color: #1a932e;
    span {
      background: rgba(26, 147, 46, 0.18);
    }
  }
  .status-delayed {
    color: #dfa510;
    span {
      background: rgba(226, 177, 51, 0.18);
    }
  }
  .status-at-risk {
    color: #ee201c;
    span {
      background: rgba(238, 32, 28, 0.18);
    }
  }
  .status-on-going {
    color: #e65f2b;
    span {
      background: rgba(230, 95, 43, 0.18);
    }
  }
</style>
